Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.http
Class HttpBindManager

    java.lang.Object
      org.jivesoftware.openfire.http.HttpBindManager

    public final class HttpBindManager

extends Object

Field Summary
`static Map<String,Boolean>` | `HTTP_BIND_ALLOWED_ORIGINS`
`static String` | `HTTP_BIND_CORS_ALLOW_HEADERS_DEFAULT`
`static String` | `HTTP_BIND_CORS_ALLOW_METHODS_DEFAULT`
`static String` | `HTTP_BIND_CORS_ALLOW_ORIGIN`
`static String` | `HTTP_BIND_CORS_ALLOW_ORIGIN_DEFAULT`
`static String` | `HTTP_BIND_CORS_ENABLED`
`static boolean` | `HTTP_BIND_CORS_ENABLED_DEFAULT`
`static String` | `HTTP_BIND_CORS_MAX_AGE_DEFAULT`
`static String` | `HTTP_BIND_ENABLED`
`static boolean` | `HTTP_BIND_ENABLED_DEFAULT`
`static String` | `HTTP_BIND_PORT`
`static int` | `HTTP_BIND_PORT_DEFAULT`
`static String` | `HTTP_BIND_SECURE_PORT`
`static int` | `HTTP_BIND_SECURE_PORT_DEFAULT`
`static String` | `HTTP_BIND_THREADS`
`static int` | `HTTP_BIND_THREADS_DEFAULT`

Method Summary
`org.eclipse.jetty.server.handler.ContextHandlerCollection` | `getContexts()`
`String` | `getCORSAllowOrigin()`
`String` | `getHttpBindSecureAddress()`
`int` | `getHttpBindSecurePort()` Returns the HTTP binding port which uses SSL.
`String` | `getHttpBindUnsecureAddress()`
`int` | `getHttpBindUnsecurePort()` Returns the HTTP binding port which does not use SSL.
`static HttpBindManager` | `getInstance()`
`String` | `getJavaScriptUrl()`
`HttpSessionManager` | `getSessionManager()`
`String` | `getXFFHeader()`
`String` | `getXFFHostHeader()`
`String` | `getXFFHostName()`
`String` | `getXFFServerHeader()`
`boolean` | `isAllOriginsAllowed()`
`boolean` | `isCORSEnabled()`
`boolean` | `isHttpBindActive()` Returns true if a listener on the HTTP binding port is running.
`boolean` | `isHttpBindEnabled()` Returns true if the HTTP binding server is currently enabled.
`boolean` | `isHttpsBindActive()` Returns true if a listener on the HTTPS binding port is running.
`boolean` | `isScriptSyntaxEnabled()` Returns true if script syntax is enabled.
`boolean` | `isThisOriginAllowed(String origin)`
`boolean` | `isXFFEnabled()`
`void` | `setCORSAllowOrigin(String origins)`
`void` | `setCORSEnabled(Boolean value)`
`void` | `setHttpBindEnabled(boolean isEnabled)`
`void` | `setHttpBindPorts(int unsecurePort, int securePort)` Set the ports on which the HTTP binding service will be running.
`void` | `setScriptSyntaxEnabled(boolean isEnabled)` Enables or disables script syntax.
`void` | `setXFFEnabled(boolean enabled)`
`void` | `setXFFHeader(String header)`
`void` | `setXFFHostHeader(String header)`
`void` | `setXFFHostName(String name)`
`void` | `setXFFServerHeader(String header)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_BIND_ENABLED

    public static final String HTTP_BIND_ENABLED

See Also:
  Constant Field Values

### HTTP_BIND_ENABLED_DEFAULT

    public static final boolean HTTP_BIND_ENABLED_DEFAULT

See Also:
  Constant Field Values

### HTTP_BIND_PORT

    public static final String HTTP_BIND_PORT

See Also:
  Constant Field Values

### HTTP_BIND_PORT_DEFAULT

    public static final int HTTP_BIND_PORT_DEFAULT

See Also:
  Constant Field Values

### HTTP_BIND_SECURE_PORT

    public static final String HTTP_BIND_SECURE_PORT

See Also:
  Constant Field Values

### HTTP_BIND_SECURE_PORT_DEFAULT

    public static final int HTTP_BIND_SECURE_PORT_DEFAULT

See Also:
  Constant Field Values

### HTTP_BIND_THREADS

    public static final String HTTP_BIND_THREADS

See Also:
  Constant Field Values

### HTTP_BIND_THREADS_DEFAULT

    public static final int HTTP_BIND_THREADS_DEFAULT

See Also:
  Constant Field Values

### HTTP_BIND_CORS_ENABLED

    public static final String HTTP_BIND_CORS_ENABLED

See Also:
  Constant Field Values

### HTTP_BIND_CORS_ENABLED_DEFAULT

    public static final boolean HTTP_BIND_CORS_ENABLED_DEFAULT

See Also:
  Constant Field Values

### HTTP_BIND_CORS_ALLOW_ORIGIN

    public static final String HTTP_BIND_CORS_ALLOW_ORIGIN

See Also:
  Constant Field Values

### HTTP_BIND_CORS_ALLOW_ORIGIN_DEFAULT

    public static final String HTTP_BIND_CORS_ALLOW_ORIGIN_DEFAULT

See Also:
  Constant Field Values

### HTTP_BIND_CORS_ALLOW_METHODS_DEFAULT

    public static final String HTTP_BIND_CORS_ALLOW_METHODS_DEFAULT

See Also:
  Constant Field Values

### HTTP_BIND_CORS_ALLOW_HEADERS_DEFAULT

    public static final String HTTP_BIND_CORS_ALLOW_HEADERS_DEFAULT

See Also:
  Constant Field Values

### HTTP_BIND_CORS_MAX_AGE_DEFAULT

    public static final String HTTP_BIND_CORS_MAX_AGE_DEFAULT

See Also:
  Constant Field Values

### HTTP_BIND_ALLOWED_ORIGINS

    public static Map<String,Boolean> HTTP_BIND_ALLOWED_ORIGINS

Method Detail

### getInstance

    public static HttpBindManager getInstance()

### start

    public void start()

### stop

    public void stop()

### getSessionManager

    public HttpSessionManager getSessionManager()

### isHttpBindEnabled

    public boolean isHttpBindEnabled()

  Returns true if the HTTP binding server is currently enabled.

  Returns:
    true if the HTTP binding server is currently enabled.

### isHttpBindActive

    public boolean isHttpBindActive()

  Returns true if a listener on the HTTP binding port is running.

  Returns:
    true if a listener on the HTTP binding port is running.

### isHttpsBindActive

    public boolean isHttpsBindActive()

  Returns true if a listener on the HTTPS binding port is running.

  Returns:
    true if a listener on the HTTPS binding port is running.

### getHttpBindUnsecureAddress

    public String getHttpBindUnsecureAddress()

### getHttpBindSecureAddress

    public String getHttpBindSecureAddress()

### getJavaScriptUrl

    public String getJavaScriptUrl()

### isCORSEnabled

    public boolean isCORSEnabled()

### setCORSEnabled

    public void setCORSEnabled(Boolean value)

### getCORSAllowOrigin

    public String getCORSAllowOrigin()

### setCORSAllowOrigin

    public void setCORSAllowOrigin(String origins)

### isAllOriginsAllowed

    public boolean isAllOriginsAllowed()

### isThisOriginAllowed

    public boolean isThisOriginAllowed(String origin)

### isXFFEnabled

    public boolean isXFFEnabled()

### setXFFEnabled

    public void setXFFEnabled(boolean enabled)

### getXFFHeader

    public String getXFFHeader()

### setXFFHeader

    public void setXFFHeader(String header)

### getXFFServerHeader

    public String getXFFServerHeader()

### setXFFServerHeader

    public void setXFFServerHeader(String header)

### getXFFHostHeader

    public String getXFFHostHeader()

### setXFFHostHeader

    public void setXFFHostHeader(String header)

### getXFFHostName

    public String getXFFHostName()

### setXFFHostName

    public void setXFFHostName(String name)

### setHttpBindEnabled

    public void setHttpBindEnabled(boolean isEnabled)

### setHttpBindPorts

    public void setHttpBindPorts(int unsecurePort,
                                 int securePort)
                          throws Exception

  Set the ports on which the HTTP binding service will be running.

  Parameters:
    `unsecurePort` - the unsecured connection port which clients can connect to.
    `securePort` - the secured connection port which clients can connect to.
  Throws:
    `Exception` - when there is an error configuring the HTTP binding ports.

### getContexts

    public org.eclipse.jetty.server.handler.ContextHandlerCollection getContexts()

### getHttpBindUnsecurePort

    public int getHttpBindUnsecurePort()

  Returns the HTTP binding port which does not use SSL.

  Returns:
    the HTTP binding port which does not use SSL.

### getHttpBindSecurePort

    public int getHttpBindSecurePort()

  Returns the HTTP binding port which uses SSL.

  Returns:
    the HTTP binding port which uses SSL.

### isScriptSyntaxEnabled

    public boolean isScriptSyntaxEnabled()

  Returns true if script syntax is enabled. Script syntax allows BOSH to be used in environments where clients may be restricted to using a particular server. Instead of using standard HTTP Post requests to transmit data, HTTP Get requests are used.

  Returns:
    true if script syntax is enabled.
  See Also:
    BOSH: Alternative Script Syntax

### setScriptSyntaxEnabled

    public void setScriptSyntaxEnabled(boolean isEnabled)

  Enables or disables script syntax.

  Parameters:
    `isEnabled` - true to enable script syntax and false to disable it.
  See Also:
    `isScriptSyntaxEnabled()`, BOSH: Alternative Script Syntax

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.